Bug 693296 - Switching spicec to fullscreen and back again causes gnome-session to fail
Summary: Switching spicec to fullscreen and back again causes gnome-session to fail
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-04 08:50 UTC by Hans de Goede
Modified: 2012-08-07 17:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:37:16 UTC
Type: ---


Attachments (Terms of Use)

Description Hans de Goede 2011-04-04 08:50:30 UTC
Hi,

<fully up2date F-15 system running gnome-shell>

I'm running on a system with 2 1920x1200 monitors in cloned mode (one monitor connected through a vga + dvi cable because of an analog kvm also going to other machines).

When I connect with spicec (from spice-client) to a vm running at a different resolution, and then switch spicec to fullscreen using shift+F11 the first attempt this usually fails, a second attempt is successful, but the panel is still on top, and a third attempt is finally successful. If I get this far, often
my gnome session fails with the sorry something has gone wrong dialog and all I can do is press the logout button there.

I've not tried this with a single monitor setup yet, the problem might not exist there. Given that this is multimon and spice related, I think it is a good idea to assign this one to alexl.

Regards,

Hans

Comment 1 Alexander Larsson 2011-04-04 14:45:13 UTC
This is at least one problem:

https://bugzilla.gnome.org/show_bug.cgi?id=646714

gnome-settings-daemon crashes during the mode-set, then respawns and resets the resolution, making spicec exit fullscreen.

Comment 2 Hans de Goede 2011-04-04 14:57:01 UTC
(In reply to comment #1)
> This is at least one problem:
> 
> https://bugzilla.gnome.org/show_bug.cgi?id=646714
> 
> gnome-settings-daemon crashes during the mode-set, then respawns and resets the
> resolution, making spicec exit fullscreen.

Alex, thanks for looking into this!

Comment 3 Alexander Larsson 2011-04-05 06:21:15 UTC
With that bug fixed it seemed to work, although sometimes during modeset gnome-shell crashes deep inside clutter. I've seen this happen when changing from control-center too.

Here is how the stacktrace looks then (and it looks similar every time):

(gdb) bt full
#0  cogl_object_unref (object=<optimized out>) at ./cogl-object.c:59
        _g_boolean_var_ = <optimized out>
        obj = 0x90
#1  0x00007ff1b5d2904d in _cogl_atlas_texture_update_position_cb (
    user_data=<optimized out>, new_texture=0x29b4720, rectangle=0x30bed50)
    at ./cogl-atlas-texture.c:77
        atlas_tex = 0x2e9f770
#2  0x00007ff1b5d2885d in _cogl_atlas_migrate (skip_user_data=0x2583a00, new_texture=
    0x29b4720, old_texture=<optimized out>, textures=<optimized out>, n_textures=63, 
    atlas=0x26eea70) at ./cogl-atlas.c:281
        i = <optimized out>
        blit_data = {src_tex = 0x331b610, dst_tex = 0x29b4720, fbo = 50, old_fbo = 
    0, image_data = 0x34891981e0 "", format = 136, bpp = 0, src_height = 0, 
          src_width = 0, dst_gl_target = 3553}
#3  _cogl_atlas_reserve_space (atlas=0x26eea70, width=<optimized out>, 
    height=<optimized out>, user_data=0x2583a00) at ./cogl-atlas.c:598
        data = {textures = 0x30bed10, n_textures = 63}
        new_map = 0x30bf6f0
        new_tex = 0x29b4720
        map_width = <optimized out>
        map_height = 4096
        ret = <optimized out>
        new_position = {x = 0, y = 1072693248, width = 136, height = 0}
#4  0x00007ff1b5d2935b in _cogl_atlas_texture_new_from_bitmap (bmp=0x24e45f0, 
    flags=<optimized out>, internal_format=COGL_PIXEL_FORMAT_BGRA_8888_PRE)
    at ./cogl-atlas-texture.c:587
        atlas_tex = 0x2583a00
        dst_bmp = <optimized out>
        override_bmp = <optimized out>
        gl_intformat = 0
        gl_format = 8192
        gl_type = 0
        bmp_width = 2048
        bmp_height = 36
        bmp_format = <optimized out>
        atlas = 0x26eea70
        l = 0x26ea260 = {0x26eea70}
        ctx = <optimized out>
        __PRETTY_FUNCTION__ = "_cogl_atlas_texture_new_from_bitmap"
#5  0x00007ff1b5d21c90 in cogl_texture_new_from_bitmap (bmp_handle=0x24e45f0, flags=
    COGL_TEXTURE_NONE, internal_format=COGL_PIXEL_FORMAT_ANY) at ./cogl-texture.c:446
        tex = <optimized out>
#6  0x00007ff1b5d21d5f in cogl_texture_new_from_data (width=<optimized out>, 
    height=<optimized out>, flags=COGL_TEXTURE_NONE, format=
    COGL_PIXEL_FORMAT_BGRA_8888_PRE, internal_format=COGL_PIXEL_FORMAT_ANY, 
    rowstride=<optimized out>, data=0x3cdb4b0 "") at ./cogl-texture.c:431
        bmp = 0x24e45f0
        tex = <optimized out>
#7  0x00007ff1b7f30120 in st_theme_node_prerender_background (node=
    0x2cc21e0 [StThemeNode]) at st/st-theme-node-drawing.c:1198
        radius = {0, 0, 0, 0}
        outline_path = 0x33309e0
        draw_solid_background = <optimized out>
        rowstride = 8192
        border_image = 0x0
        texture = <optimized out>
        shadow_spec = 0x0
        surface = 0x29496d0
        draw_background_image_shadow = <optimized out>
        has_visible_outline = 1
        i = <optimized out>
        box_shadow_spec = 0x0
        background_is_translucent = 1
        data = 0x3cdb4b0 ""
        paint_box = {x1 = 0, y1 = 0, x2 = 2048, y2 = 36}
        interior_path = <optimized out>
        cr = 0x7ff1b3a99e40
        pattern = <optimized out>
        interior_dirty = <optimized out>
        border_color = {red = 0 '\000', green = 0 '\000', blue = 0 '\000', alpha = 
    0 '\000'}
        border_width = {0, 0, 0, 0}
        actor_box = {x1 = 0, y1 = 0, x2 = 2048, y2 = 36}
#8  st_theme_node_render_resources (height=36, width=2048, node=
    0x2cc21e0 [StThemeNode]) at st/st-theme-node-drawing.c:1347
        border_image = <optimized out>
        background_image = 0x0
        texture_cache = 0x1ec5880 [StTextureCache]
        has_border = 0
        has_border_radius = 0
        has_inset_box_shadow = 0
        box_shadow_spec = 0x0
        background_image_shadow_spec = <optimized out>
#9  st_theme_node_paint (node=0x2cc21e0 [StThemeNode], box=0x7fffb44f6fd0, 
    paint_opacity=255 '\377') at st/st-theme-node-drawing.c:1874
        width = 2048
        height = 36
        allocation = {x1 = 0, y1 = 0, x2 = 2048, y2 = 36}
#10 0x00007ff1b7f36e80 in st_widget_paint (actor=0x2a7fb60 [StGroup])
    at st/st-widget.c:411
        self = 0x2a7fb60 [StGroup]
        theme_node = 0x2cc21e0 [StThemeNode]
        allocation = {x1 = 0, y1 = 767, x2 = 2048, y2 = 803}
        opacity = <optimized out>
#11 0x00007ff1b7f15fe1 in st_group_paint (actor=0x2a7fb60 [StGroup])
    at st/st-group.c:58
No locals.
#12 0x00007ff1b2ef43f9 in g_closure_invoke (closure=0x25ac000, return_value=0x0, 
    n_param_values=1, param_values=0x33cdaa0, invocation_hint=0x7fffb44f7130)
    at gclosure.c:767
        marshal = <optimized out>
        marshal_data = <optimized out>
        in_marshal = 1
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#13 0x00007ff1b2f05328 in signal_emit_unlocked_R (node=<optimized out>, detail=0, 
    instance=0x2a7fb60, emission_return=0x0, instance_and_params=0x33cdaa0)
    at gsignal.c:3290
        accumulator = 0x0
        emission = {next = 0x7fffb44f7820, instance = 0x2a7fb60, ihint = {
            signal_id = 49, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = 
    EMISSION_RUN, chain_type = 40757520}
        class_closure = 0x25ac000
        hlist = 0x3115878
        handler_list = 0x0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 
    0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 
    0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 49
        max_sequential_handler_number = 6475
        return_value_altered = 0
#14 0x00007ff1b2f0ec92 in g_signal_emit_valist (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>)
    at gsignal.c:2983
        instance_and_params = 0x33cdaa0
        signal_return_type = 4
        param_values = 0x33cdab8
        node = 0x25ac350
        i = <optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#15 0x00007ff1b2f0ee32 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3040
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 
    0x7fffb44f7430, reg_save_area = 0x7fffb44f7370}}
#16 0x00007ff1b5c89f00 in clutter_actor_paint (self=0x2a7fb60 [StGroup])
    at ./clutter-actor.c:2695
        effect_painted = 0
        need_paint_box = <optimized out>
        priv = 0x2a7fba0
        context = <optimized out>
        clip_set = 0
        __PRETTY_FUNCTION__ = "clutter_actor_paint"
#17 0x00007ff1b7efc838 in shell_generic_container_paint (actor=
    0x2972000 [ShellGenericContainer]) at shell-generic-container.c:140
        child = 0x2a7fb60 [StGroup]
        self = 0x2972000 [ShellGenericContainer]
        iter = 0x2a9f220 = {0x2a7fb60, 0x2cb4340, 0x2c66990, 0x2c28d20, 0x2cdf060, 
    0x2cf1c60, 0x2b29630, 0x3cb4db0}
        children = <optimized out>
#18 0x00007ff1b2ef43f9 in g_closure_invoke (closure=0x25ac000, return_value=0x0, 
    n_param_values=1, param_values=0x7ff1800032c0, invocation_hint=0x7fffb44f7830)
    at gclosure.c:767
        marshal = <optimized out>
        marshal_data = <optimized out>
        in_marshal = 1
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#19 0x00007ff1b2f05328 in signal_emit_unlocked_R (node=<optimized out>, detail=0, 
    instance=0x2972000, emission_return=0x0, instance_and_params=0x7ff1800032c0)
    at gsignal.c:3290
        accumulator = 0x0
        emission = {next = 0x7fffb44f7f40, instance = 0x2972000, ihint = {
            signal_id = 49, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = 
    EMISSION_RUN, chain_type = 43450928}
        class_closure = 0x25ac000
        hlist = 0x2970e38
        handler_list = 0x0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 
    0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 
    0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 49
        max_sequential_handler_number = 6475
        return_value_altered = 0
#20 0x00007ff1b2f0ec92 in g_signal_emit_valist (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>)
    at gsignal.c:2983
        instance_and_params = 0x7ff1800032c0
        signal_return_type = 4
        param_values = 0x7ff1800032d8
        node = 0x25ac350
        i = <optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#21 0x00007ff1b2f0ee32 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3040
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 
    0x7fffb44f7b30, reg_save_area = 0x7fffb44f7a70}}
#22 0x00007ff1b5c89f00 in clutter_actor_paint (self=
    0x2972000 [ShellGenericContainer]) at ./clutter-actor.c:2695
        effect_painted = 0
        need_paint_box = <optimized out>
        priv = 0x2972040
        context = <optimized out>
        clip_set = 0
        __PRETTY_FUNCTION__ = "clutter_actor_paint"
#23 0x00007ff1b2a09377 in g_list_foreach (list=<optimized out>, func=
    0x7ff1b5c89800 <clutter_actor_paint>, user_data=0x0) at glist.c:938
        next = 0x2c60800 = {0x2c8e770}
#24 0x00007ff1b5cb3a32 in clutter_group_real_paint (actor=0x25e08a0 [ClutterGroup])
    at ./clutter-group.c:281
        priv = 0x25e0b20
#25 0x00007ff1b2ef43f9 in g_closure_invoke (closure=0x25ac000, return_value=0x0, 
    n_param_values=1, param_values=0x35e02c0, invocation_hint=0x7fffb44f7f50)
    at gclosure.c:767
        marshal = <optimized out>
        marshal_data = <optimized out>
        in_marshal = 1
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#26 0x00007ff1b2f05328 in signal_emit_unlocked_R (node=<optimized out>, detail=0, 
    instance=0x25e08a0, emission_return=0x0, instance_and_params=0x35e02c0)
    at gsignal.c:3290
        accumulator = 0x0
        emission = {next = 0x7fffb44f8690, instance = 0x25e08a0, ihint = {
            signal_id = 49, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = 
    EMISSION_RUN, chain_type = 32145920}
        class_closure = 0x25ac000
        hlist = 0x28a16f8
        handler_list = 0x0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 
    0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 
    0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 49
        max_sequential_handler_number = 6475
        return_value_altered = 0
#27 0x00007ff1b2f0ec92 in g_signal_emit_valist (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>)
    at gsignal.c:2983
        instance_and_params = 0x35e02c0
        signal_return_type = 4
        param_values = 0x35e02d8
        node = 0x25ac350
        i = <optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#28 0x00007ff1b2f0ee32 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3040
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 
    0x7fffb44f8250, reg_save_area = 0x7fffb44f8190}}
#29 0x00007ff1b5c89f00 in clutter_actor_paint (self=0x25e08a0 [ClutterGroup])
    at ./clutter-actor.c:2695
        effect_painted = 0
        need_paint_box = <optimized out>
        priv = 0x25e08d0
        context = <optimized out>
        clip_set = 0
        __PRETTY_FUNCTION__ = "clutter_actor_paint"
#30 0x00007ff1b2a09377 in g_list_foreach (list=<optimized out>, func=
    0x7ff1b5c89800 <clutter_actor_paint>, user_data=0x0) at glist.c:938
        next = 0x295ef60 = {0x25e0b30}
#31 0x00007ff1b5cb3a32 in clutter_group_real_paint (actor=0x25b0130 [ClutterStage])
    at ./clutter-group.c:281
        priv = 0x25b03c0
#32 0x00007ff1b5cd33a1 in clutter_stage_paint (self=0x25b0130 [ClutterStage])
    at ./clutter-stage.c:446
        priv = 0x25b03d0
        clear_flags = <optimized out>
        stage_color = {red = 34 '"', green = 102 'f', blue = 187 '\273', alpha = 
    255 '\377', padding0 = 0, padding1 = 3002136242, padding2 = 32753}
#33 0x00007ff1b2ef44ae in g_closure_invoke (closure=0x25ac000, return_value=0x0, 
    n_param_values=1, param_values=0x31ceaa0, invocation_hint=0x7fffb44f86a0)
    at gclosure.c:767
        marshal = <optimized out>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#34 0x00007ff1b2f05328 in signal_emit_unlocked_R (node=<optimized out>, detail=0, 
    instance=0x25b0130, emission_return=0x0, instance_and_params=0x31ceaa0)
    at gsignal.c:3290
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x25b0130, ihint = {signal_id = 49, 
            detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, 
          chain_type = 32147248}
        class_closure = 0x25ac000
        hlist = 0x1ec6b50
        handler_list = 0x1ec6b50
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
              v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 
    0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 
    0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 49
        max_sequential_handler_number = 6475
        return_value_altered = 1
#35 0x00007ff1b2f0ec92 in g_signal_emit_valist (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>)
    at gsignal.c:2983
        instance_and_params = 0x31ceaa0
        signal_return_type = 4
        param_values = 0x31ceab8
        node = 0x25ac350
        i = <optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#36 0x00007ff1b2f0ee32 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3040
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 
    0x7fffb44f89a0, reg_save_area = 0x7fffb44f88e0}}
#37 0x00007ff1b5c89f00 in clutter_actor_paint (self=0x25b0130 [ClutterStage])
    at ./clutter-actor.c:2695
        effect_painted = 0
        need_paint_box = <optimized out>
        priv = 0x25b0170
        context = <optimized out>
        clip_set = 0
        __PRETTY_FUNCTION__ = "clutter_actor_paint"
#38 0x00007ff1b5cd7279 in _clutter_stage_do_paint (stage=0x25b0130 [ClutterStage], 
    clip=<optimized out>) at ./clutter-stage.c:385
        priv = 0x25b03d0
#39 0x00007ff1b5c78a80 in clutter_stage_glx_redraw (stage_window=0x1ebac30)
    at ./glx/clutter-stage-glx.c:437
        backend_x11 = 0x1e92060 [ClutterBackendGLX]
        drawable = <optimized out>
        backend_glx = 0x1e92060 [ClutterBackendGLX]
        stage_glx = 0x1ebac30 [ClutterStageGLX]
        video_sync_count = <optimized out>
        may_use_clipped_redraw = <optimized out>
        use_clipped_redraw = 0
#40 clutter_stage_glx_redraw (stage_window=0x1ebac30)
    at ./glx/clutter-stage-glx.c:365
        stage_x11 = 0x1ebac30 [ClutterStageGLX]
#41 0x00007ff1b5cbc2af in _clutter_do_redraw (stage=0x25b0130 [ClutterStage])
    at ./clutter-main.c:260
        timer = 0x0
        timer_n_frames = 0
        ctx = 0x1e8f140
#42 0x00007ff1b5cd3f1f in _clutter_stage_do_update (stage=0x25b0130 [ClutterStage])
    at ./clutter-stage.c:833
        priv = 0x25b03d0
        __PRETTY_FUNCTION__ = "_clutter_stage_do_update"
#43 0x00007ff1b5cbe870 in clutter_clock_dispatch (source=<optimized out>, 
    callback=<optimized out>, user_data=<optimized out>)
    at ./clutter-master-clock.c:384
        clock_source = <optimized out>
        master_clock = 0x1f0e140 [ClutterMasterClock]
        stage_manager = <optimized out>
        stages_updated = <optimized out>
        stages = 0x37675c0 = {0x25b0130}
        l = 0x37675c0 = {0x25b0130}
#44 0x00007ff1b2a0db3d in g_main_dispatch (context=0x1e95e80) at gmain.c:2440
        dispatch = 0x7ff1b5cbe790 <clutter_clock_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x1e88ab0, next = 0x0}
        need_destroy = <optimized out>
        source = 0x1e88ab0
        current = 0x1f1fa30
        i = <optimized out>
#45 g_main_context_dispatch (context=0x1e95e80) at gmain.c:3013
No locals.
#46 0x00007ff1b2a0e318 in g_main_context_iterate (context=0x1e95e80, 
    block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3091
        max_priority = 150
        timeout = 0
        some_ready = 1
        nfds = 16
        allocated_nfds = <optimized out>
        fds = <optimized out>
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#47 0x00007ff1b2a0e95d in g_main_loop_run (loop=0x1e97750) at gmain.c:3299
        self = 0x1e85030
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#48 0x00007ff1b7c56781 in meta_run () at core/main.c:557
        log_domains = {0x0, 0x7ff1b7c9cfe3 "mutter", 0x7ff1b7c9d00e "Gtk", 
    0x7ff1b7c9d012 "Gdk", 0x7ff1b7c9d016 "GLib", 0x7ff1b7c9d01b "Pango", 
    0x7ff1b7c9d021 "GLib-GObject", 0x7ff1b7c9d02e "GThread"}
        i = <optimized out>
#49 0x00000000004025ff in main (argc=1, argv=0x7fffb44f9148) at main.c:510
        ctx = <optimized out>
        error = 0x0

Comment 4 Fedora End Of Life 2012-08-07 17:37:18 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.